<VirtualHost *:80>
    ServerAdmin webldap@edt.org
    ServerName webldap.edt.org
    ServerAlias webldap.edt.org
    DocumentRoot /var/www/webldap.edt.org/html
    LogLevel debug
    ErrorLog ${APACHE_LOG_DIR}/error.log
    CustomLog ${APACHE_LOG_DIR}/access.log combined

 <Directory "/var/www/webldap.edt.org/html">
  Options Indexes FollowSymLinks Includes
  AllowOverride None
  Order allow,deny
  Allow from all
 
  # -- LDAP Auth Begins Here -- #
  AuthType Basic
  AuthName "LDAP Authentication"
  AuthBasicProvider ldap
  AuthLDAPBindDN          "cn=Manager,dc=edt,dc=org"
  AuthLDAPBindPassword    "secret"
  #AuthLDAPURL "ldap://ldap.edt.org:389/dc=edt,dc=org?sAMAccountName?sub?(objectClass=*)" NONE
  AuthLDAPURL "ldap://ldap.edt.org:389/dc=edt,dc=org?uid"
  Require valid-user
 
 # -- LDAP Auth Ends Here -- #
	
 </Directory>
</VirtualHost>

